Lavalite package that provides media_file management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `media_files/media_file`.

    "media_files/media_file": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    MediaFiles\MediaFile\Providers\MediaFileServiceProvider::class,

And also add it to alias

    'MediaFile'  => MediaFiles\MediaFile\Facades\MediaFile::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=MediaFiles\\MediaFile\\Seeders\\MediaFileTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="MediaFiles\MediaFile\Providers\MediaFileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="MediaFiles\MediaFile\Providers\MediaFileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="MediaFiles\MediaFile\Providers\MediaFileServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/media_file/{modulename}

**User**

    http://path-to-route-folder/user/media_file/{modulename}

**Public**

    http://path-to-route-folder/media_files


### API endpoints

**List**

    http://path-to-route-folder/api/user/media_file/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/media_file/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/media_file/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/media_file/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/media_file/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/media_file/{modulename}/{slug}
    METHOD: GET